import { shallowMount } from '@vue/test-utils'
import MoneyInput from "../money-input/index.vue";
import HelperTooltip from "../helper-tooltip/index.vue";

const name = 'mone-input';

describe('Money-input.vue', () => {

  it("has correct label text ", () => {
    const label = "test-label";
    const wrapper = shallowMount(MoneyInput, {
      propsData: {
        name,
        label,
      }
    });
    expect(wrapper.find("label").text()).toBe(label);
  });

  it("correct values in inputs", () => {
    const value = "11.22";
    const wrapper = shallowMount(MoneyInput, {
      propsData: {
        name,
        value
      }
    });
    expect(wrapper.find(".money-input__left").element.value).toBe('11');
    expect(wrapper.find(".money-input__right").element.value).toBe('22');
  });

  it("hint appeared", () => {
    const helperText = "helper-text";
    const wrapper = shallowMount(MoneyInput, {
      propsData: {
        name,
        helperText
      }
    });
    expect(wrapper.contains(HelperTooltip)).toBe(true);
  });

  // it("correct input checked", () => {
  //   const value = 'no';
  //   const wrapper = shallowMount(RadioGroup, {
  //     propsData: {
  //       name,
  //       radios,
  //       value
  //     }
  //   });
  //   expect(wrapper.findAll("#radio-test-1:checked").length).toBe(1);
  // });
})
