import { shallowMount } from '@vue/test-utils'
import HelperTooltip from "../helper-tooltip/index.vue";

describe('HelperTooltip.vue', () => {
  it("text is correct", () => {
    const text = 'tooltip text'
    const wrapper = shallowMount(HelperTooltip, {
      propsData: {
        text
      }
    });
    expect(wrapper.find('.tooltip__text').text()).toBe(text);
  });

  it("has appropriate position class", () => {
    const text = 'tooltip text'
    const position = 'right'
    const wrapper = shallowMount(HelperTooltip, {
      propsData: {
        text,
        position
      }
    });
    expect(wrapper.find(`.tooltip__text--${position}`).exists()).toBe(true);
  });

})
