
export const birthdate = {
  getMessage: (field, args) => { // eslint-disable-line
    return 'Fill in your date of birth';
  },

  validate: (value, [limit, include]) => {
    return value instanceof Date && !isNaN(value);
  },
};

export const age = {
  getMessage: (field, args) => { // eslint-disable-line
    return 'You are too young to participate';
  },

  validate: (value, [limit, include]) => {
    const now = new Date();
    const age = Math.floor((now.getTime() - value.getTime()) / (365.25 * 24 * 60 * 60 * 1000));

    return age >= 18;
  },
};

export const range = {
  getMessage: (field, args) => { // eslint-disable-line
    return `The ${field} field is required.  ${args} `;
  },

  validate: (value) => { // eslint-disable-line
    return value.to.length && value.from.length;
  },
};
